package cn.net.caoyao.cpzshandset.db.presenter;

import java.util.List;

import android.database.Cursor;
import cn.net.caoyao.cpzshandset.bean.ShipmentProductBean;
import cn.net.cpzslibs.prot.handset.bean.res.LogisticsProductInfo;

public interface ShipmentProductDal {
	void insertShipmentProductBean(LogisticsProductInfo b);
	void insertLogisticsProductList(List<LogisticsProductInfo> list,long order_id);
	ShipmentProductBean queryShipmentProductBeanById(long id);
	List<ShipmentProductBean> queryShipmentProductByDriverIdAndRepertoryId(long driver_id,long repertory_id);
	void updateShipmentProductBeanStatusById(int status,int error_code,long id);
	void deleteShipmentProductBeanById(ShipmentProductBean b);
	ShipmentProductBean getShipmentProductBean(Cursor c);

}
